﻿<%@ Page Title="Login" Language="C#" MasterPageFile="~/MainMaster.master" AutoEventWireup="true" Inherits="iSpyCentral.Login" Codebehind="login.aspx.cs" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<meta name="description" content="Login to configure the LPR service" lang="en" />
<style type="text/css">
    .notify {
        position:relative;
        width:100%;
        background-color:<%=MessageColor%>;
        height:40px;
        color:white;
        display:none;
        text-align: center;
        font-size: 18px;
        padding-top: 10px;
        cursor: pointer;
    }
</style>
<script type="text/javascript">
    jQuery(function ($) {
        var m = "<%=Message %>";
        var m2 = "<%=Message2 %>";
        if (m != "") {
            $('#notify').html(m).slideDown();
            $('#notify').click(function() {
                $(this).slideUp().empty();
            });
        }
        if (m2 != "") {
            $('#notify2').html(m2).slideDown();
            $('#notify2').click(function () {
                $(this).slideUp().empty();
            });
        }

        var cookieEnabled = (navigator.cookieEnabled) ? true : false;

        if (!cookieEnabled) {
            document.getElementById("CookieAlert").style.visibility = "visible";
            document.getElementById("CookieAlert").style.display = "block";
        }
    });
    
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<div class="top-blocks">

		<h1 class="contentheading about">Login</h1>
        	
            <div class="notify" id="CookieAlert" style="visibility:hidden;display:none">Cookies are blocked. Enable cookies in your web browser to login.</div>
			<div id="notify" class="notify"></div>
        
        <br />
        
        

		<fieldset class="login_form">

		<div class="name">

			<label for="user" >Username</label>
            <asp:TextBox ID="txtUsername" runat="server" CssClass="inputbox" size="20"></asp:TextBox>

		</div>

		<div class="pass">

			<label for="pass" >Password</label>

			<asp:TextBox ID="txtPassword" runat="server" TextMode="Password" size="20" CssClass="inputbox"></asp:TextBox>
            
		</div>

		<div class="remember">

			<label for="rem">Remember</label>

			<input type="checkbox" id="chkRemember" runat="server" class="checkbox" style="margin-left:20px"/>

		</div>
       <div>
       <asp:Button ID="Button1" runat="server" Text="Login" OnClick="Button1_Click" CssClass="button" />
       </div>

	</fieldset>



	<p class="article_separator">&nbsp;</p>
    <a name="forgottenpassword"></a>
     <h2 class="contentheading about">Forgotten Your Password?</h2>
     <div class="contentdescription">
            <p> If you have forgotten your password, enter your email address
            below and click send. We will send you a link to reset your password.</p>
						

		</div><div id="notify2" class="notify"></div><br />

            <fieldset class="login_form">

		<div class="name">

			<label for="email" >Email Address</label>
            <asp:TextBox ID="txtEmailAddress" runat="server" class="inputbox"></asp:TextBox>

		</div>

	</fieldset>
    <div style="width:300px">
        <asp:Button ID="btnSendPassword" runat="server" Text="Send" onclick="btnSendPassword_Click" CssClass="button" />
    </div>
            </div>
                
</asp:Content>
