﻿<%@ Page MasterPageFile="MobileMaster.master" Title="Mobile"  Language="C#" AutoEventWireup="true" CodeBehind="overview.aspx.cs" Inherits="iSpyCentral.mobile.Overview" %>
<%@ Register src="controls/NotConnected.ascx" tagname="NotConnected" tagprefix="uc1" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div data-role="header" data-theme="<%=((iSpyCentral.mobile.MobileMaster)Master).Theme %>">
		<h1>Overview</h1>
		<a href="default.aspx?logout=1" data-ajax="false">Logout</a>
        <a href="overview.aspx" data-icon="refresh" data-ajax="false">Reload</a>
        <div data-role="navbar" data-ajax="false">
	<ul id="ulSubMenu" runat="server">
		<li><a href="livegrabs.aspx">Live Grabs</a></li>
        <li><a href="watchall.aspx?v=1" data-ajax="false">Watch All</a></li>
        <li id="liremote" runat="server"><a href="remotecommands.aspx" data-ajax="false">Remote Commands</a></li>
	</ul>

	</div>
</div>
        
    <div data-role="content">
<asp:PlaceHolder ID="pnlAccess" runat="server" Visible="false">
    <h3>Servers with Access</h3>
    <ul data-role="listview" data-inset="true" data-ajax="false">
    <%=AccessList %>
    </ul>
</asp:PlaceHolder>

<asp:PlaceHolder ID="pnlNewConnection" runat="server" Visible="false">
    <uc1:NotConnected ID="NotConnected1" runat="server" />
</asp:PlaceHolder>
<asp:PlaceHolder ID="pnlConnected" runat="server" Visible="false">

    <h3>Connected Devices</h3>
    <ul data-role="listview" data-inset="true" data-ajax="false">
	    <%=List %>
    </ul>   
</asp:PlaceHolder>
    </div>
</asp:Content>