﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="api-access.aspx.cs" Inherits="iSpyCentral.monitor.app.pages.api_access" %>
<div class="center-block mt-lg wd-lg">
    <!-- START panel-->
    <div class="panel panel-inverse">
        <div class="panel-heading text-center">
            <img src="app/img/logo-single.png" alt="Image" class="center-block img-rounded" />
        </div>
        <div class="panel-body">
            <p class="text-center pv text-bold">Access Permissions</p>
          
            <form role="form" class="mb-lg">
                <% if (Token != "")
                   { %>
                    <div class="form-group has-feedback">
                        <input id="txtToken" type="text" autocomplete="off" class="form-control" value="<%= Token %>"/>
                        <span class="help-block m-b-none">Copy and paste this into <b><%= AppName %></b> to grant access.</span>
                    </div>
                    <button class="btn btn-block btn-primary mt-lg" onclick="iSpy.apiPermissions.deletePermission(<%=PermissionID %>)" id="btnDeletePermission">Remove Access</button>
                <% }
                   else
                   { %>
                    <% if (AppName != "")
                       { %><p><b><%= AppName %></b> is requesting access</p>
                        <button class="btn btn-block btn-primary mt-lg" onclick="iSpy.apiPermissions.addPermission(<%=Apiid %>)" id="btnAddPermission">Grant Access</button>
                <% }
             } %>
            </form>
            <% if (Err != "")
               { %>
                <div style="margin-top:5px;clear:both;">
                    <div class="alert alert-danger" style="display:none"><%= Err %></div>
                </div>
            <% } %>
         
        </div>
    </div>
    <div data-ng-include="'app/pages/page-footer.html'" class="p-lg text-center"></div>
</div>
