﻿<%@ Page Title="Remote viewer" Language="C#" MasterPageFile="~/PopMaster.master" AutoEventWireup="true" EnableViewState="false" Inherits="iSpyCentral.WatchPop" Codebehind="watch_pop.aspx.cs" %>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadCSS" Runat="Server">
<meta http-equiv="X-UA-Compatible" content="requiresActiveX=true" />
<meta name="msApplication-ID" content="App" /> 
<link rel="apple-touch-icon" href="mobile/images/ispy.png"/> 
<link href="watchpage/watch_new.css?v=3" rel="stylesheet" type="text/css" />
<link href="watchpage/jquery.treeview.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadScript" Runat="Server">
<script type="text/javascript" src="watchpage/compiled/library.js?v=9"></script>
<script type="text/javascript" src="watchpage/jquery-ui-timepicker-addon.js"></script>
<script type="text/javascript" src="watchpage/swfobject.js?v=1"></script>
<script type="text/javascript" src="watchpage/jquery.boxy.js"></script>
<script type="text/javascript" src="flowplayer-3.2.11.min.js"></script>
<script type="text/javascript" src="watchpage/jquery.treeview.js?v=1"></script>
<script type="text/javascript">
    //Copyright © DeveloperInABox 2013 All Rights Reserved. No part of this website may be reproduced without DeveloperInABox's express consent. 
    var OIDS = [<%=JsWatchInit %>];
    var PORTS = [<%=JsPorts %>];
    var GROUPS = [<%=Groups %>];
    var iSpyVersion = <%=Version %>;
    <%=Jsinit %>
    var InitTab=<%=Inittab %>;
    var cameras = <%=Objects %>;
    var PTZACCESS = true;
    jQuery(document).ready(function() {
        if (aborted)
            return;
        $(".jq").button();
        InitBoxy();
        SizeCanvases();
        InitWatchPage();
        addEvent(window, 'resize', function () { SizeCanvases();timeline1.Resize();Floorplans.Resize();watchall.Resize();thumbs.Resize();});
        
    });
    
    function SizeCanvases() {
        var o = document.getElementById("timeline");
        o.width = window.innerWidth - 45;
        o.height = window.innerHeight-80;

        o = document.getElementById("cnvWatcher");
        o.width = window.innerWidth - 45;
        o.height = window.innerHeight-80;

        o = document.getElementById("cnvFloorplans");
        o.width = window.innerWidth - 45;
        o.height = window.innerHeight-80;

        o = document.getElementById("cnvThumbs");
        o.width = window.innerWidth - 45;
        o.height = window.innerHeight-80;
    }
   
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<div class="top-blocks" style="position:relative;padding:0px;margin:0px;">
<!--[if lt IE 9]>     
<div class="module wide gradient about" style="width:100%">
<p class="tabcontent"><b>Old browser detected</b>
We noticed that you are using an old version of Internet Explorer. Please use a newer browser (IE9+, Firefox, Chrome or Safari)<br/><br/>
<p class="article_separator">&nbsp;</p>
</p>
</div>
<![endif]--> 

<div id="pageContents">
<img src="" id="fileThumb" style="position:absolute;top:100px;left:625px;width:320px;height:240px;z-index:1000;display:none;visibility:hidden;" />
<div class="module wide gradient about" style="width:100%;padding:0px;margin:0px;">
<%=Warning %>

<div><%=ServerList%></div>
<asp:Panel ID="pnlNewConnection" runat="server" Visible="false">
<h3>Not Connected</h3>
</asp:Panel>

<asp:Panel ID="pnlMain" runat="server">
<div id="connectionErrors"></div>
<div id="tabs" style="font-size:12px;position:relative">
    <div id="toptoolbar">
    <a id="btnSmallscreen" href="<%=Poplink %>" style="margin-left:6px;margin-top:7px;"><img src="resources/restore.png" alt="Restore"/></a>
    <div id="divBtnDefault"><input type="checkbox" id="chkDefaultTab" onclick="SetDefaultTab()"/><label for="chkDefaultTab">Start Tab</label></div>
    <a class="jq" id="btnSearchTimeLine" rel="#popupSettings4" style="margin:3px;">Search</a><a class="jq" id="btnSearchThumbs" rel="#popupSettings5" style="margin:3px;">Search</a>
    <a class="jq" id="btnOptionsTimeline" rel="#popupSettings3" style="margin:3px;">Options</a><a class="jq" id="btnOptionsFloorPlans" rel="#popupSettings2" style="margin:3px;">Options</a><a class="jq" id="btnOptionsWatch" rel="#popupSettings">Options</a><a class="jq" id="btnOptionsFileManager" rel="#popupSettings6" style="margin:3px;">Options</a>
</div>
<ul>
    <li><a href="#fragment-0"><span>Time Line</span></a></li>
    <li><a href="#fragment-5"><span>Thumbnails</span></a></li>
    <li><a href="#fragment-1"><span>File Manager</span></a></li>
    <li><a href="#fragment-2"><span>Floor Plans</span></a></li>
    <li><a href="#fragment-3"><span>Commands</span></a></li>
    <li><a href="#fragment-4"><span>Watch All</span></a></li>
</ul>
<div id="fragment-0">
<div>
<div style="float:right" id="stoploadcontrol"><a href="javascript:stopLoadingEvents()">Stop Loading</a> <img src="watchpage/ajax-loader.gif" /></div>
<canvas id="timeline" tabindex="1" class="canvascontrol"></canvas>
</div>
</div>
<div id="fragment-1" class="ui-tabs-hide">

<table style="width:100%">
<tr><td valign="top" style="width:220px;overflow-x:hidden">
<div id="filemanager" style="min-height:400px;">
<%=FileManagerTree %>
</div>
</td>
<td valign="top">
<div style="position:relative" id="filemanager_Controls">
<a onclick="filemanager.StartDelete()" style="float:right" class="jq">Delete</a>
<input type="checkbox" id="chkSelectAll" onclick="checkall('fileview',this)"/> <label for="chkSelectAll">Select All</label> <span id="lblFeedback"></span>
<p class="article_separator">&nbsp;</p>
</div>
<div id="fileview">Select a camera or microphone to view files</div>
</td>
</tr>
</table>
</div>
<div id="fragment-2" class="ui-tabs-hide">
<canvas id="cnvFloorplans" tabindex="10" class="canvascontrol" style="margin-top:10px"></canvas>
</div>

<div id="fragment-3" class="ui-tabs-hide">
<div id="remotecommands"></div>
</div>

<div id="fragment-4" class="ui-tabs-hide">
<canvas id="cnvWatcher" tabindex="10" class="canvascontrol" style="margin-top:10px"></canvas>
</div>

<div id="fragment-5" class="ui-tabs-hide">
<canvas id="cnvThumbs" tabindex="10" class="canvascontrol" width="900px" height="600px" style="margin-top:10px"></canvas>
</div>

</div>
</asp:Panel>

</div>

<div id="LiveViewerContainer" style="display:none;background-color:#666;" class="boxy">
<div id="controlbar"></div>
<div id="playbackContainer" style="width:320px;height:240px">
    <div id="flashContent">
	    <a href="http://www.adobe.com/go/getflash">
		    <img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" />
	    </a>
	    <p>This control requires Flash Player version 10.1.102.64 or higher. To use HTML5 instead see our <a href="/mobile/">mobile site</a></p>
    </div>
</div>

<div id="ptz">
<div style="position:relative">
    <div style="width:155px;height:90px;left:160px;position:absolute;"><select id="ddlPTZ" size="5" style="width:155px;height:50px;margin-bottom:5px"></select>
    <a class="jq" onclick="ptz.ptzcommand('')">Go</a>
    </div>
    <canvas id="cnvPTZ" width="150px" height="100px" style=""></canvas>
</div>


</div>
</div></div>

<div class="modal" id="popupSettings">
<h2>Options</h2>
<div>
<table style="width:300px">
    <tr><td style="width:80px">Grid</td><td><select id="ddlMode" onchange="setmode()" style="width:120px">
            <option value="">Size</option>
            <option value="1,1">1x1</option>
            <option value="1,2">1x2</option>
            <option value="1,3">1x3</option>
            <option value="1,4">1x4</option>
            <option value="2,1">2x1</option>
            <option value="2,2">2x2</option>
            <option value="2,3">2x3</option>
            <option value="2,4">2x4</option>
            <option value="3,1">3x1</option>
            <option value="3,2">3x2</option>
            <option value="3,3">3x3</option>
            <option value="3,4">3x4</option>
            <option value="4,1">4x1</option>
            <option value="4,2">4x2</option>
            <option value="4,3">4x3</option>
            <option value="4,4">4x4</option>
        </select></td></tr>
        <tr><td><label for="slider2">Fill</label></td><td>
				<select name="slider2" id="slider2" onchange="SetWatchAllFill()" style="width:120px">
					<option value="off">Off</option>
					<option value="on">On</option>
				</select></td></tr>
        <tr><td>Framerate</td>
        <td><div id="sldThrottle" style="width:200px;float:left;margin-top:10px;"></div>
</td></tr>
<tr><td></td><td><button type="button" class="close"> Close </button></td></tr>
</table></div></div>

<div class="modal" id="popupSettings2">
<h2>Options</h2>
<div>
<table style="width:300px">
    <tr><td style="width:80px">Grid</td><td><select id="ddlMode2" onchange="setmode()" style="width:120px">
            <option value="">Size</option>
            <option value="1,1">1x1</option>
            <option value="1,2">1x2</option>
            <option value="1,3">1x3</option>
            <option value="1,4">1x4</option>
            <option value="2,1">2x1</option>
            <option value="2,2">2x2</option>
            <option value="2,3">2x3</option>
            <option value="2,4">2x4</option>
            <option value="3,1">3x1</option>
            <option value="3,2">3x2</option>
            <option value="3,3">3x3</option>
            <option value="3,4">3x4</option>
            <option value="4,1">4x1</option>
            <option value="4,2">4x2</option>
            <option value="4,3">4x3</option>
            <option value="4,4">4x4</option>
        </select></td></tr>
        <tr><td><label for="slider3">Fill</label></td><td>
				<select name="slider3" id="slider3" onchange="SetFloorplanFill()" style="width:120px">
					<option value="off">Off</option>
					<option value="on">On</option>
				</select></td></tr>
    <tr><td></td><td>
            <input type="checkbox" id="btnFPAlerts" onclick="floorplans.setAlerts(this.checked)"/><label for="btnFPAlerts">Alarm</label>
            </td></tr>
<tr><td></td><td><button type="button" class="close"> Close </button></td></tr>
</table></div></div>

<div class="modal" id="popupSettings3">
<h2>Options</h2>
<div>
<table style="width:300px">
    <tr><td style="width:120px">Thumbnail Size</td><td><select id="ddlThumbnailSize" onchange="settimelinesize()" style="width:120px">
            <option value="">Select</option>
            <option value="small">Small</option>
            <option value="standard">Standard</option>
        </select></td></tr>
        <tr><td style="width:120px">Refresh Thumbs</td><td><input type="checkbox" id="chkRefreshThumbs" onclick="createCookie('ThumbRefresh',this.checked.toString(),30)"/></td></tr>
        <tr><td style="width:120px">Load New Events</td><td><input type="checkbox" id="chkNewEvents" onclick="createCookie('LoadNewEvents',this.checked.toString(),30)"/></td></tr>
</table>
    <h2>Desktop Notifications (webkit)</h2>
<div>
    <table style="width:300px">
    <tr><td style="width:160px">Enable</td><td><input type="button" id="btnDesktopAlerts" onclick="SetDesktopNotifications()" value="Enable"/></td></tr>
    <tr><td style="width:160px">New Recordings</td><td><input type="checkbox" id="chkNotifyRecordings" onclick="createCookie('NotifyRecordings',this.checked.toString(),180)"/></td></tr>
    <tr><td style="width:160px">Floorplan Alerts</td><td><input type="checkbox" id="chkNotifyAlerts" onclick="createCookie('NotifyAlerts',this.checked.toString(),180)"/></td></tr>
<tr><td></td><td><button type="button" class="close"> Close </button></td></tr>
</table></div></div></div>

<div class="modal" id="popupSettings4">
    <h2>Search</h2>
    <table style="width:300px">
    <tr><td style="width:120px">Date Start:</td><td>
        <input type="text" name="dtStart" id="dtStart" value="" />
        </td></tr>
    <tr><td>Date End:</td>
        <td><input type="text" name="dtEnd" id="dtEnd" value="" /></td>
    </tr>
    <tr><td></td><td><input type="button" onclick="DoSearch()" class="close" value="Search"/></td></tr>
    </table>
    <hr/>
    <table style="width:300px">
        <tr><td style="width:120px">Quick Zoom</td><td><select id="ddlZoomTo" onchange="zoomtimeline()" style="width:120px">
            <option value="" selected="selected">Select</option>
            <option value="hour">Last Hour</option>
            <option value="day">Last Day</option>
            <option value="week">Last Week</option>
            <option value="month">Last Month</option>
        </select></td></tr>
    </table>
</div>


<div class="modal" id="popupSettings5">
    <h2>Search</h2>
    <table style="width:300px">
    <tr><td style="width:120px">Camera:</td><td>
        <select id="ddlThumbCamera">
            <option value="-1">All</option>
        </select>
        </td></tr>
    <tr><td style="width:120px">Date Start:</td><td>
        <input type="text" name="dtStart2" id="dtStart2" value="" />
        </td></tr>
    <tr><td>Date End:</td>
        <td><input type="text" name="dtEnd2" id="dtEnd2" value="" /></td>
    </tr>
        <tr><td></td><td><input type="button" onclick="DoThumbSearch()" class="close" value="Search"/></td></tr>
    </table>
</div>
    
<div class="modal" id="popupSettings6">
   <h2>Remote Playback</h2>
<div>
    <table style="width:300px">
    <tr><td style="width:160px">Remote Playback (plays files back on the iSpy PC instead of in the browser)</td><td><input type="checkbox" id="chkRemotePlayback" onclick="createCookie('RemotePlayback',this.checked.toString(),180)"/></td></tr>
<tr><td></td><td><button type="button" class="close"> Close </button></td></tr>
</table></div>
</div>
<div id="json"></div>
</div>

</asp:Content>

