﻿<%@ Page Title="Media Viewer" Language="C#" MasterPageFile="~/MainMaster.master" AutoEventWireup="true" CodeBehind="MediaViewer.aspx.cs" Inherits="iSpyCentral.MediaViewer" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<link href="resources/jquery-ui-1.8.13.custom.css?v=1" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="resources/jquery-ui.min.js"></script>
<script type="text/javascript" src="flowplayer-3.2.11.min.js"></script>
<script type="text/javascript" src="resources/jquery.mousewheel.js"></script>
<script type="text/javascript" src="resources/flowplayer.playlist-3.0.8.min.js"></script>

<style type="text/css">

/* these two settings will remove borders from playlist entries */
div:active {  outline:none; }
:focus   { -moz-outline-style:none; }


/* container has a background image */

div.player {	
	display:block;
	width:500px;
	height:340px;
	margin-top:30px;
	text-align:center;
	margin:auto;
	padding-top:50px;
	color:#fff;
	text-decoration:none;
	cursor:pointer;
	background:-moz-linear-gradient(top, rgba(55, 102, 152, 0.9), rgba(6, 6, 6, 0.9));
	-moz-box-shadow:0 0 40px rgba(100, 118, 173, 0.5);
}

div.player:hover {
	background:-moz-linear-gradient(center top, rgba(73, 122, 173, 0.898), rgba(6, 6, 6, 0.898));	
}

/* splash image */
div.player img {
	margin-top:125px;
	border:0;	
}

#pl {
	height:120px;
	/*background:#f5fbfb url(/img/global/gradient/h150.png) repeat-x;	*/
	border:1px solid #ddd;
	width:850px;
	position:relative;
	overflow:hidden;
	padding:3px;
	float:left;
}

.entries {
	height:80px;
	position:absolute;
	width:10000em;
}

.page {
	width:900px;
	float:left;
}

.entry {
	color:#666;
	float:left;
	font-family:"bitstream vera sans","lucida grande","verdana";
	font-size:11px;
	height:75px;
	margin:0px 4px;
	padding:4px;
	text-decoration:none;
	width:95px;
	
}

.entries span:hover {
	background-position:-140px 0;
	color:#000;
}
.entries img 
{
    float:left;margin-right:4px;
}

.entries .playing {
	background-position:-280px 0;		
	color:#000;
}

.entries .paused {
	background-position:-420px 0;		
	color:#000;
}

.entries .progress {
	opacity:0.8;
}

.entries em {	
	float:right;
	margin-top:15px;
	color:red;
	font-style:normal;
}

.next, .prev {
	display:block;
	width:18px;
	height:18px;
	background:url(resources/scrollable/arrow/left.png) no-repeat;
	margin:30px 10px;
	cursor:pointer;
	float:left;
}

.next:hover, .prev:hover {
	background-position:0px -18px;		
}

.next {
	background-image:url(resources/scrollable/arrow/right.png);	
}

.next.disabled, .prev.disabled {
	visibility:hidden;		
}
.ctrl {clear:both}
.ctrl img {margin:2px;}
</style>
<script type="text/javascript">
var deleteid = null;
function filedelete(fn, oid) {
    deleteid = oid;
    var id = fn.substring(0, fn.indexOf('_'));
    var cmd = "<%=ServerUrl %>deletefile?ot=2&oid=" + id + "&fn=" + fn + "&auth=<%=Auth %>&jsfunc=filedeleted(result)&r=" + Math.random();
    var head = document.getElementsByTagName("head")[0];
    var script = document.createElement('script');
    script.id = 'jsonScript_0';
    script.type = 'text/javascript';
    script.src = cmd;
    head.appendChild(script);
        
}
function filedeleted() {
    $("#" + deleteid).remove();
}
function rectime(sec) {
    var hr = Math.floor(sec / 3600);
    var min = Math.floor((sec - (hr * 3600)) / 60);
    sec -= ((hr * 3600) + (min * 60));
    sec += ''; min += '';
    while (min.length < 2) { min = '0' + min; }
    while (sec.length < 2) { sec = '0' + sec; }
    hr = (hr) ?  hr + ":" : '';
    return hr + min + ':' + sec;
}
function showpreviews(result) {
    if (result == "OK")
        return;
    var html = "";
    var list = result.split(',');
    var j = 0;
    for (var i = 0; i < list.length; i++) {
        if (j == 0)
            html += "<div class=\"page\">";

        var det = list[i].split('|');

        var fn = det[0];
        var oid = fn.substring(0, fn.indexOf('_'));
        var first = "";
        if (fn == "<%=Videourl %>")
            first = " first";

        var dt = fn.replace(/_/g, " ");
        dt = dt.substr(dt.indexOf('-') + 1);
        dt = dt.substr(0, dt.indexOf("."));
        var d = dt.substr(0, dt.indexOf(' '));
        var t = dt.substr(dt.indexOf(' ') + 1);
        t = t.replace(/-/g, ":");
        dt = d + " " + t;


        var ext = ".mp4";
        if (fn.indexOf(".avi") != -1)
            ext = ".avi";
        
        html += "<div class=\"entry" + first + "\" id=\"entry" + i + "\">";
        html += dt;
        if (ext==".mp4")
            html += "<a href=\"<%=ServerUrl %>loadclip.mp4?" + escape("oid=" + oid + "&ot=2&fn=" + fn + "&auth=<%=Auth %>") + "\" image=\"<%=ServerUrl %>loadimage?oid=" + oid + "&fn=" + fn.replace(ext, ".jpg") + "&auth=<%=Auth %>\" id=\"ph_" + i + "\" title=\"" + dt + "\"></a>";
        else
            html += "<a onclick=\"loadavi('<%=ServerUrl %>downloadclip.avi?" + escape("oid=" + oid + "&ot=2&fn=" + fn + "&auth=<%=Auth %>") + "')\" image=\"<%=ServerUrl %>loadimage?oid=" + oid + "&fn=" + fn.replace(ext, ".jpg") + "&auth=<%=Auth %>\" id=\"ph_" + i + "\" title=\"" + dt + "\"></a>";
        html += "<div class=\"ctrl\">";
        html += "<img title=\"Delete\" onclick=\"filedelete('" + fn + "','entry" + i + "')\" class=\"smallicon\" src=\"resources/delete.png\"/>";


        html += " " + rectime(parseInt(det[2]));
        html += "</div>";
        html += "</div>";

        if (j == 7)
            html += "</div>";
        j++;
        if (j == 8) j = 0;
    }
    if (j != 0)
        html += "</div>";
    GEID("filelist").innerHTML = html;
    ShowThumbs(0);

    $("#pl").scrollable({
        onSeek: function () {
            var k = (this.getIndex() * 8);
            ShowThumbs(k);
        }
    });

    $f("player", "/flowplayer-3.2.7.swf", {

        onStart: function (clip) {
            //constrain to 900px wide
            var w = parseInt(clip.metaData.width);
            var h = parseInt(clip.metaData.height);
            if (w > 900) {
                var pc = 1 - (w - 900) / w;
                h = h * pc;
                w = 900;
            }
            var wrap = jQuery(this.getParent());
            wrap.css({ width: w, height: h });
        },
        autoPlay: true,
        autoBuffering: true,
        scaling: "fit",
        onUpdate: function () {
            this.unload();
        }
        // use playlist plugin to enable playlist items work as movie clips
    }).playlist("div.entries");
}
function loadavi(fn) {
    if (window.confirm("I can't play AVI files in a web browser. Click OK to download it instead. See the recording tab in iSpy to record to a web compatible format.")) {
        location.href = fn;
    }
}

function ShowThumbs(i) {
    for (var j = i; j < i + 8; j++) {
        var o = GEID("ph_" + j);
        if (o == null)
            break;
        else {
            if (o.innerHTML == "") {
                o.innerHTML = "<img src=\"" + o.getAttribute("image") + "\"  onerror=\"errorthumb(this)\"/>";
            }
        }
    }
}
function errorthumb(obj) {
    if (obj.src.indexOf("camoff") == -1)
        obj.src = "resources/camoff.png";
}

jQuery(document).ready(function () {
    var cmd = "<%=ServerUrl %>previewlist?auth=<%=Auth %>&jsfunc=showpreviews(result)&r=" + Math.random();
    var head = document.getElementsByTagName("head")[0];
    var script = document.createElement('script');
    script.id = 'jsonScript_0';
    script.type = 'text/javascript';
    script.src = cmd;
    head.appendChild(script);
    $(".jq").button();
});
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<div class="top-blocks">
<%=Warning%>
<asp:PlaceHolder ID="phScroller" runat="server">
<div id="playlist_wrap">
	
	<a class="prev"></a>
	
	<div id="pl"> 
		
		<div class="entries" id="filelist">
        </div>
		 
	</div>
	
	<a class="next"></a>

</div></asp:PlaceHolder>

<asp:Panel ID="pnlNewConnection" runat="server" Visible="false">
<div style="clear:both">&nbsp;</div>
<div class="module gradient" style="width:570px;margin:auto;">
<h3>Not Connected</h3>
<div class="content">
 Enter your login details into the web settings panel to connect.
</div></div>
</asp:Panel>

<div style="height:20px;clear:both">&nbsp;</div>
<div id="player" class="player" href="<%=Videourl %>"></div>
<br clear="all" />
</div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="SubFooterContent" runat="server">
</asp:Content>
