﻿<%@ Page Language="C#" MasterPageFile="MobileMaster.master" Title="Media Viewer" AutoEventWireup="true" CodeBehind="detail.aspx.cs" Inherits="iSpyCentral.mobile.Detail" %>
<%@ Register src="controls/NotConnected.ascx" tagname="NotConnected" tagprefix="uc1" %>
<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server"></asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div data-role="header" data-theme="<%=((iSpyCentral.mobile.MobileMaster)Master).Theme %>">
		<h1><%=ObjectName %></h1>
		<a href="<%=backlink %>" id="backButton" data-ajax="false" data-icon="back">Back</a>
        <a onclick="location.reload()" class="nav Action" data-ajax="false" data-icon="refresh">Reload</a>
        <div data-role="navbar" runat="server" id="navBar">
	<ul>
		<%=options %>
	</ul>
	</div>
	</div>
     
    <div data-role="content">

<asp:PlaceHolder ID="pnlNewConnection" runat="server" Visible="false">
    <uc1:NotConnected ID="NotConnected1" runat="server" />
</asp:PlaceHolder>

<asp:PlaceHolder ID="pnlConnected" runat="server" Visible="false">



    <h2>Media</h2>

    <ul data-role="listview" data-inset="true" data-split-icon="gear" id="mediaList" data-ajax="false"><li>Loading...</li></ul>
    
    <div data-role="popup" id="popupMenu">
        <ul data-role="listview" data-inset="true" style="min-width:210px;">
            <li data-role="divider">Options</li>
            <li><a onclick="deletemovie(ListFilename)" data-icon="delete" href="#">Delete File</a></li>
            <asp:Literal ID="ltlDownload" runat="server">
            <li><a onclick="downloadmovie(ListFilename)" data-icon="arrow-d" href="#">Download Movie</a></li>
            </asp:Literal>
            <li><a onclick="uploadcloud(ListFilename)" data-icon="forward" href="#">Upload to Cloud</a></li>
            <asp:Literal ID="ltlYouTube" runat="server">
            <li><a onclick="uploadyoutube(ListFilename)" data-icon="forward" href="#">Upload to YouTube</a></li>
            </asp:Literal>
        </ul>
    </div>
   
   <asp:PlaceHolder ID="phDelete" runat="server"></asp:PlaceHolder>
        <script type="text/javascript">
        <%=Jsinit %>
        var vidWidth = 0, vidHeight = 0;
        var videoPlayer = null;
        $(document).bind("pagecreate", function (event, ui) {
            LoadMedia(0);
            videoPlayer = document.getElementById('video');
            document.addEventListener('touchstart', function (event) {
                videoPlayer.play();
            }, false);
            videoPlayer.onloadedmetadata = function () {
                vidWidth = videoPlayer.videoWidth;
                vidHeight = videoPlayer.videoHeight;
                $("#popupVideo").popup("open");
            };
            videoPlayer.addEventListener('error', function (err) {
                ShowAlert("Sorry unable to play video ("+err.type+"). Try setting the recording format in iSpy to a mobile compatible format.");
            }, true);
        });

		$( document ).on( "pageinit", function() {
		    $("#popupVideo video")
				.attr( "width", 0 )
				.attr( "height", 0 );
				  
			$( "#popupVideo" ).on({
			    popupbeforeposition: function () {
			        if (vidHeight > 0) {
			            var ar = vidHeight / vidWidth;

			            var ww = ((window.innerWidth > 0) ? window.innerWidth : screen.width);
			            var wh = ((window.innerHeight > 0) ? window.innerHeight : screen.height);
			            var w = Math.max(ww - 60, 200);
			            var h = w * ar;
                        if (h > wh - 40) {
                            h = wh - 40;
                            w = h / ar;
                        }

			            $("#popupVideo video")
			                .attr("width", w)
			                .attr("height", h);
			        }
			    },
				popupafterclose: function() {
					$( "#popupVideo video" )
						.attr( "width", 0 )
						.attr("height", 0);
					videoPlayer.pause();
				}
			});			
		});
         
    </script>
    <audio id="audioplayer" style="position:absolute;top:-100px;left:0px;" hidden="hidden" autoplay="autoplay" preload="none"></audio>
    <div data-role="popup" id="popupVideo" data-tolerance="15,15" class="ui-content">
        <video id="video" preload="auto" data-setup="{}" controls="controls"></video>
	</div>
</asp:PlaceHolder>
</div>
</asp:Content>