﻿<%@ Page MasterPageFile="MobileMaster.master" Language="C#" Title="Watch All" AutoEventWireup="true" CodeBehind="watchall.aspx.cs" Inherits="iSpyCentral.mobile.Watchall" %>
<%@ Register src="controls/NotConnected.ascx" tagname="NotConnected" tagprefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <script src="../watchpage/watchall.js?v=5" type="text/javascript"></script>
    <script type="text/javascript">
        var OIDS = [<%=JsWatchInit %>];
        var PORTS = [<%=JsPorts %>];
        <%=Jsinit %>
        
        var watchall = new WatchAll();

        var timeline1 = new function(){ 
            this.Data = <%=Objects %>;
        };
        
        jQuery(document).ready(function () {
            SizeCanvases();
            addEvent(window, 'resize', function () {
                SizeCanvases();
                watchall.Resize();
            });
            watchall.playing = true;
            watchall.Active = true;
            watchall.init(true);
            loadImages();         

            $( "#popupNested" ).bind({
               popupafterclose: function(event, ui) { watchall.Active = true; }
            });
        });

        function setmode(){
            var o = GEID("ddlMode");
            if (o.selectedIndex>-1) {
                var v = o.options[o.selectedIndex].value;
                if (v!="")  {
                    eval("watchall.setmode("+v+")");
                }
            }
        };
        
        function SizeCanvases() {
            var o = document.getElementById("cnvWatcher");
            o.width = window.innerWidth - 15;
            o.height = window.innerHeight - 80;
        };
        
        var addEvent = function (elem, type, eventHandle) {
            if (elem == null || elem == undefined) return;
            if (elem.addEventListener) {
                elem.addEventListener(type, eventHandle, false);
            } else if (elem.attachEvent) {
                elem.attachEvent("on" + type, eventHandle);
            } else {
                elem["on" + type] = eventHandle;
            }
        };

        Array.prototype.hasObject = (
          !Array.indexOf ? function (o) {
              var l = this.length + 1;
              while (l -= 1) {
                  if (this[l - 1] === o) {
                      return true;
                  }
              }
              return false;
          } : function (o) {
              return (this.indexOf(o) !== -1);
          }
        );

        function getWidthHeight() {
            var myWidth = 0, myHeight = 0;
            if (typeof (window.innerWidth) == 'number') {
                //Non-IE
                myWidth = window.innerWidth;
                myHeight = window.innerHeight;
            } else if (document.documentElement && (document.documentElement.clientWidth || document.documentElement.clientHeight)) {
                //IE 6+ in 'standards compliant mode'
                myWidth = document.documentElement.clientWidth;
                myHeight = document.documentElement.clientHeight;
            } else if (document.body && (document.body.clientWidth || document.body.clientHeight)) {
                //IE 4 compatible
                myWidth = document.body.clientWidth;
                myHeight = document.body.clientHeight;
            }
            return [myWidth, myHeight];
        }
        
        function imageLoaded(e) {
            e.target.obj.ImageLoaded = true;
            e.target.obj.ImageObject = e.target;
            { watchall.reload(); }
        }
        function loadImages() {
            var data = timeline1.Data;
            for (var i = 0; i < data.length; i++) {
                for (var j = 0; j < data[i].rowItems.length; j++) {
                    var obj = data[i].rowItems[j];
                    var img = new Image();
                    img.src = unique(data[i].rowItems[j].thumbURL);
                    img.obj = obj;
                    addEvent(img, 'load', function (e) { imageLoaded(e); });
                }
            }
        }
        function unique(url) {
            var i = url.indexOf("&r=");
            if (i != -1) {
                var p1 = url.substring(0, i + 3);
                var p2 = url.substring(i + 3);
                var j = p2.indexOf("&");
                if (j > -1)
                    p2 = p2.substring(j);
                else
                    p2 = "";
                return p1 + Math.random() + p2;
            }
            if (url.indexOf("?") != -1)
                return url + "&r=" + Math.random();
            return url; //static image
        }
        
        requestAnimationFrame = window.requestAnimationFrame || window.mozRequestAnimationFrame || window.webkitRequestAnimationFrame || window.msRequestAnimationFrame || function (callback, element) {
            return window.setTimeout(function () { callback(+new Date()); }, 1000 / 20);
        };
        
         function MouseXY(domElement, e) {
            var x = 0, y = 0;
            var ox = $(domElement).offset().left;
            var oy = $(domElement).offset().top;
            if (e.touches && e.touches[0]) {
                x = e.touches[0].pageX - ox;
                y = e.touches[0].pageY - oy;
            }
            if (e.changedTouches && e.changedTouches[0]) {
                x = e.changedTouches[0].pageX - ox;
                y = e.changedTouches[0].pageY - oy;
            }
            if (x == 0 && y == 0) {
                x = e.pageX - ox;
                y = e.pageY - oy;
            }
            return { x:x, y:y };
    
        }
        
        function setCursor(e, c) {
            e = window.event || e;
            var targ = e.target || e.srcElement;

            if (targ == null) {
                return;
            }
            if (targ.style) {
                targ.style.cursor = c;
            }
            else
                targ.cursor = c;
        }
        
        function SetWatchAllFill() {
            if (GEID("slider2") != null) {
                var fill = GEID("slider2").selectedIndex == 1;
                createCookie("watchallFillMode", fill.toString(), 30);
                watchall.setfill(fill);
            }
        }
    </script>
    <style type="text/css">
        input.ui-slider-input {display: none;}
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div data-role="header" data-theme="<%=((iSpyCentral.mobile.MobileMaster)Master).Theme %>" data-ajax="false">
		<h1>Watch All</h1>
        <a href="<%=backlink %>" data-ajax="false" data-icon="back">Back</a>
        <a href="#popupSettings" data-rel="popup" data-position-to="window" data-icon="gear">Options</a>
	</div>
    <div data-role="content" style="padding-left:5px; padding-right:5px;margin:0px">
        
    <asp:PlaceHolder ID="pnlNewConnection" runat="server" Visible="false">
    <uc1:NotConnected ID="NotConnected1" runat="server" />
</asp:PlaceHolder>
<asp:PlaceHolder ID="pnlConnected" runat="server" Visible="false">

    <canvas id="cnvWatcher" tabindex="10" class="canvascontrol" width="300px" height="400px"></canvas>
    
    <div data-role="popup" id="popupNested">
		<div data-role="collapsible-set" data-content-theme="c" data-collapsed-icon="arrow-r" data-expanded-icon="arrow-d" style="margin:0; width:250px;" id="mnuPop"></div>
    </div><!-- /popup -->
</asp:PlaceHolder>
</div>

<div id="popupSettings" data-role="popup">
<h2>Options</h2>
<div style="padding:5px;">
<table style="width:300px">
    <tr><td style="width:80px">Grid</td><td><select id="ddlMode" onchange="setmode()" data-mini="true">
            <option value="">Size</option>
            <option value="1,1">1x1</option>
            <option value="1,2">1x2</option>
            <option value="1,3">1x3</option>
            <option value="1,4">1x4</option>
            <option value="2,1">2x1</option>
            <option value="2,2">2x2</option>
            <option value="2,3">2x3</option>
            <option value="2,4">2x4</option>
            <option value="3,1">3x1</option>
            <option value="3,2">3x2</option>
            <option value="3,3">3x3</option>
            <option value="3,4">3x4</option>
            <option value="4,1">4x1</option>
            <option value="4,2">4x2</option>
            <option value="4,3">4x3</option>
            <option value="4,4">4x4</option>
        </select></td></tr>
        <tr><td><label for="slider2">Fill</label></td><td>
				<select name="slider2" id="slider2" data-role="slider" data-mini="true" onchange="watchall.setfill()">
					<option value="off">Off</option>
					<option value="on">On</option>
				</select></td></tr>
        <tr><td>Framerate</td>
        <td><input type="range" name="sldThrottle2" id="sldThrottle2" value="200" min="0" max="2000" data-theme="a" data-track-theme="b" /></td></tr>
</table></div></div>
</asp:Content>