﻿<%@ Page MasterPageFile="MobileMaster.master" Language="C#" AutoEventWireup="true" Title="Live View" CodeBehind="watchlive.aspx.cs" Inherits="iSpyCentral.mobile.Watchlive" %>
<%@ Register src="controls/NotConnected.ascx" tagname="NotConnected" tagprefix="uc1" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div data-role="header" data-theme="<%=((iSpyCentral.mobile.MobileMaster)Master).Theme %>" data-ajax="false">
		<h1>Live Video</h1>
		<a href="<%=backlink %>" data-ajax="false" data-icon="back">Back</a>
        <a onclick="location.reload()" data-ajax="false" data-icon="refresh">Reload</a>
        <div data-role="navbar"><ul>
        <%=NavBar%>
        <li id="switch"><a onclick="RecordSwitch()" id="Record">Record</a></li>
        <li id="grab"><a onclick="Grab()" id="btnGrab">Snapshot</a></li>
        </ul></div>
	</div>
    <asp:PlaceHolder ID="pnlNewConnection" runat="server" Visible="false">
    <uc1:NotConnected ID="NotConnected1" runat="server" />
</asp:PlaceHolder>
<asp:PlaceHolder ID="pnlConnected" runat="server" Visible="false">
<div data-role="content">
<%=img %>
<ul data-role="listview" data-ajax="false">
<li id="live"></li>
<li>

<div data-role="navbar">
	    <ul data-role="header" id="ptzrow1">
		    <li><a id="btnLeft">Left</a></li>
		    <li><a id="btnRight">Right</a></li>
            <li><a id="btnUp">Up</a></li>
            <li><a id="btnDown">Down</a></li>
        </ul>
        <ul data-role="header" id="ptzrow2">
        <li><a id="btnIn">Zoom In</a></li>
            <li><a id="btnOut">Zoom Out</a></li>
         </ul>
    </div>
    <select id="ddlPTZ" size="1" onchange="ptzcommand()">
    <option value="">Select</option>
    </select>
</li>
</ul>
<audio id="audioplayer" preload="none" hidden="hidden" style="position:absolute;top:-100px" autoplay="autoplay"></audio>
<script type="text/javascript" charset="utf-8">
var _errors = 0;
var oImage;
var FeedAddress = "<%=FeedAddress %>";
var PTZID=<%=PTZID %>;
<%=Jsinit %>
var Version = <%=iVersion %>;

function startfeed()    {
    window.STOPFEED = false;
    window.setTimeout("getnextframe()", 300);
}

function stopfeed() {
    window.STOPFEED = true;
}

function renderptzcommands(o) {
    GEID("ddlPTZ").innerHTML += o;
}

function ptzcommand(cmd) {
    if (cmd=="")
        return;
    if (cmd==null)  {
        if (GEID("ddlPTZ").selectedIndex > -1) {
            cmd = GEID("ddlPTZ").options[GEID("ddlPTZ").selectedIndex].value;
        }
    }

    if (cmd != "") {
        send_changesetting(2, <%=CAMID %>, <%=CAMPORT %>, 'ptz', cmd);
        GEID("ddlPTZ").selectedIndex = 0;
    }
}

$(document).bind("pagecreate", function (event, ui) { 
    if (PTZID != -1) {
        SendAJAXCommand("getptzcommands?ptzid=" + PTZID, "renderptzcommands(data)");
    }        
    if (window.Version>=4750)
        SendAJAXCommand("getobjectconfig?ot=" + window.OTID + "&oid=" + window.OID, "startimagefeed(cfg)");
    else {
        var width = "560";
        var height = "420";
        var ww = parseInt($(window).width());
        if (ww<560) {
            width = "280";
            height = "210";
        }
        window.FeedAddress += "&size="+width+"x"+height;
        var oi = GEID("imgFeed");
        if (oi == null) {
            GEID("live").innerHTML = "<img id=\"imgFeed\" src=\""+window.FeedAddress + "&r=" + Math.random() +"\" style=\"width:" + width + "px;height:" + height + "px;margin:auto\"/>";
        }
        if (window.FeedAddress.indexOf("mjpegfeed") == -1) {
            getnextframe();
        }
        
    }
    if (GEID("audioplayer")!=null)
    {
        GEID("audioplayer").play();
    }
});

function startimagefeed(o) {
    if (!o.online) {
        alert("Camera is offline");
    }
    else
    {
        var ar = o.height / o.width; 
        
        var iw = parseInt($(window).width()) - 35;
        if (iw > o.width)
            iw = o.width;
        var ih = parseInt(iw*ar);
        
        window.FeedAddress += "&size="+iw+"x"+ih;
        
        var oi = GEID("imgFeed");
        if (oi == null) {
            GEID("live").innerHTML = "<img id=\"imgFeed\" src=\""+window.FeedAddress + "&r=" + Math.random() +"\" style=\"width:" + iw + "px;height:" + ih + "px;margin:auto\"/>";
        }
        
        if (window.FeedAddress.indexOf("mjpegfeed") == -1) {
            getnextframe();
        }
    } 
}
var PTZCMD = "";
$(document).ready(function() {
    $('#btnLeft').bind('touchstart mousedown', function(event) {
        PTZCMD="ispydir_1";
        event.preventDefault();
    });
    $('#btnRight').bind('touchstart mousedown', function(event) {
        PTZCMD="ispydir_5";
        event.preventDefault();
    });
    $('#btnUp').bind('touchstart mousedown', function(event) {
        PTZCMD="ispydir_3";
        event.preventDefault();
    });
    $('#btnDown').bind('touchstart mousedown', function(event) {
        PTZCMD="ispydir_7";
        event.preventDefault();
    });
    $('#btnIn').bind('touchstart mousedown', function(event) {
        PTZCMD="ispydir_9";
        event.preventDefault();
    });
    $('#btnOut').bind('touchstart mousedown', function(event) {
        PTZCMD="ispydir_10";
        event.preventDefault();
    });

    $('ul#ptzrow1').mouseup(function() {
           PTZCMD="ispydir_11";
           event.preventDefault();
    });
    $('ul#ptzrow1').bind( "touchend", function(e){
           PTZCMD="ispydir_11";
           event.preventDefault();
    });
    $('ul#ptzrow2').mouseup(function() {
           PTZCMD="ispydir_11";
           event.preventDefault();
    });
    $('ul#ptzrow2').bind( "touchend", function(e){
           PTZCMD="ispydir_11";
           event.preventDefault();
    });
    
    window.setInterval("runPTZ()",500);
});

function runPTZ()   {
    if (PTZCMD!="") {
            ptzcommand(PTZCMD);
            if (PTZCMD=="ispydir_11")   {
                PTZCMD="";
            }
    }
}
</script>
</div>
</asp:PlaceHolder>
</asp:Content>