﻿<%@ Page Language="C#" EnableViewState="false" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="iSpyConnect.monitor._default" %>
<!DOCTYPE html>
<!--[if IE 9 ]>    <html class="ie9" lang="en" data-ng-app="iSpyConnect"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<html lang="en" data-ng-app="iSpyConnect">
<!--<![endif]-->

<head>
    <base href="/monitor/">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="description" content="Video Surveillance Software">
    <meta name="keywords" content="iSpy,video,surveillance">
    <link rel="shortcut icon" href="/favicon.ico">
    <link rel="apple-touch-icon" href="/img/icons/ispyPRO_196.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/img/icons/ispyPRO_72.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/img/icons/ispyPRO_114.png">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="mobile-web-app-capable" content="yes">
    <title>Monitor</title>
    <!-- App CSS-->
    <link rel="stylesheet" href="app/css/app.css">
    <link rel="stylesheet" href="app/css/ispy.css">
    <link rel="stylesheet" href="app/css/introjs.css">
</head>
<body data-ng-class="{ 'layout-fixed' : app.layout.isFixed, 'aside-collapsed' : app.sidebar.isCollapsed, 'layout-boxed' : app.layout.isBoxed, 'aside-slide' : app.sidebar.slide, 'in-app': $state.includes('app')}">
    <div id="shield" class="overlay" style="text-align: center; padding-top: 200px;"><i class="fa fa-5x fa-spinner fa-spin"></i></div>
    <div id="overlay" class="overlay">
        <div class="responsive-wrapper" id="jp_wrapper">
            <span id="spnProgress" style="text-align: center; color: #fff; font-size: 40px; padding: 4px;"></span>
            <div id="audioPlayer">
                <div id="jquery_jplayer_audio_1" class="jp-jplayer" style="display:none"></div>
                <div id="jp_container_audio_1" class="jp-flat-audio" role="application" aria-label="media player">
                    <div class="jp-play-control jp-control">
                        <button class="jp-play jp-button" role="button" aria-label="play" tabindex="0"></button>
                    </div>
                    <div class="jp-bar">
                        <div class="jp-seek-bar jp-seek-bar-display"></div>
                        <div class="jp-seek-bar">
                            <div class="jp-play-bar"></div>
                            <div class="jp-details"><span class="jp-title" aria-label="title"></span></div>
                            <div class="jp-timing"><span class="jp-duration" role="timer" aria-label="duration"></span></div>
                        </div>
                    </div>
                    <div class="jp-no-solution">
                        Media Player Error<br />
                        Update your browser
                    </div>
                </div>
            </div>
            <div id="videoPlayer">
                <div id="jp_container_video_1" class="jp-flat-video" role="application" aria-label="media player">
                    <div id="jquery_jplayer_video_1" class="jp-jplayer"></div>
                    <div class="jp-gui">
                        <div class="jp-play-control jp-control">
                            <button class="jp-play jp-button" role="button" aria-label="play" tabindex="0"></button>
                        </div>
                        <div class="jp-bar">
                            <div class="jp-seek-bar jp-seek-bar-display"></div>
                            <div class="jp-seek-bar">
                                <div class="jp-play-bar"></div>
                                <div class="jp-details"><span class="jp-title" aria-label="title"></span></div>
                                <div class="jp-timing"><span class="jp-duration" role="timer" aria-label="duration"></span></div>
                            </div>
                        </div>
                        <div class="jp-screen-control jp-control">
                            <button class="jp-full-screen jp-button" role="button" aria-label="full screen" tabindex="0"></button>
                        </div>
                    </div>
                    <div class="jp-no-solution">
                        Media Player Error<br />
                        Update your browser
                    </div>
                </div>
            </div>
            <canvas id="cnvGraph" style="background-color:#222"></canvas>
        </div>
        <img src="" id="snapshotImg" class="img-responsive" style="position:absolute;top:0;bottom:0;left:0;right:0;margin:auto" />
    </div>
    <div data-ui-view="" data-autoscroll="false" data-ng-class="app.viewAnimation" class="app-container" id="iSpyApp"></div>
    <script src="app/js/base.js?v=3" type="text/javascript"></script>
    <script src="app/js/app.js?v=4" type="text/javascript"></script>
    <script src="app/js/min/ispy.js?v=1" type="text/javascript"></script>
    <style>
        .rtcOnly {
            display: none;
            visibility: hidden;
        }
    </style>
    <script src="app/js/intro.js?v=3"></script>
</body>
</html>