﻿<%@ Page Title="Settings" Language="C#" MasterPageFile="MainMaster.master" AutoEventWireup="True" Inherits="iSpyCentral.Settings" Codebehind="settings.aspx.cs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
    <script type="text/javascript">
        //Copyright © DeveloperInABox 2013 All Rights Reserved. No part of this website may be reproduced without DeveloperInABox's express consent. 
        
        function SaveSettings() {
            createCookie("uselanip", GEID("chkUseLANIP").checked.toString(), 30);
            var connectedPorts = [<%=ConnectedPorts %>];
            var urls = "";
            for(var i=0;i<connectedPorts.length;i++) {
                var url = GEID("txtOverride_"+connectedPorts[i]).value.trim();
                if (url!="") {
                    if (url.toLowerCase().indexOf("http") != 0) {
                        alert("The URL override for port " + connectedPorts[i] + " is invalid (should start with http)");
                        return;
                    }
                    if (url.lastIndexOf(":") < 7) {
                        if (!window.confirm("Warning: You have not specified a port in your URL override. Usually you would specify your WAN port for example:\n\nhttp://yourserver.dyndns.org:" + connectedPorts[i] + "\n\nAre you sure you want to continue?"))
                            return;
                    }
                }
                urls += connectedPorts[i] + "," + url + ",";
            }
           
            window.iSpyCentral.Webservices.web.SaveSettings(urls, SettingsSaved);
        }
        function SettingsSaved(o) {
            alert(o);
        }
        function VerifyLANIP() {
            if (!GEID("chkUseLANIP").checked) {
                alert("Warning: not using your LAN IP when it is available can prevent access. Please switch this back on if you experience problems.");
            }
        }
        if (!String.prototype.trim) {
            String.prototype.trim = function () {
                return this.replace(/^\s+|\s+$/g, '');
            };
        }

        jQuery(document).ready(function () {
            $(".jq").button();
        });
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div class="top-blocks">

    <div class="right">
        <a name="settings"></a>
		<h2 class="contentheading about">Settings</h2>
			<div class="contentdescription">
            <%= Warning%>
            <p><input type="checkbox" id="chkUseLANIP" class="checkbox" onclick="VerifyLANIP()"/> <label for="chkUseLANIP" title="Use LAN IP">Use LAN IP when available (prevents router loopback errors and saves bandwidth) </label></p>
            <p class="article_separator">&nbsp;</p>
        <h2 class="contentheading about">URL Overrides</h2>
            <p>Use URLs instead of detected IP addresses to connect to your computers: <br />
               Use this if you have a domain, need to use SSL or use dyndns.org.
               If you are connecting multiple PCs to this website you <b>must</b> specify a different port for each server or only one will be listed below.</p>
                    <br/>
            <%=URLOverrides %>
            
            <br/><p>Example: http://yourpc.dyndns.org:8080</p>
             <b>Clear or leave these blank to use your auto-detected external IP addresses</b>
            <input type="button" id="btnSaveSettings" value="Save" class="button" onclick="SaveSettings()" style="float:none;clear:both;display:block;"/>          
            </div>
        <p class="article_separator">&nbsp;</p>
        <h2 class="contentheading about">Connected Servers</h2>
			<div class="contentdescription">
            <%=ConnectedServers %>
		</div>

            <script type="text/javascript">
                b = readCookie("uselanip");
                if (b.toString().toLowerCase() != "false")
                    GEID("chkUseLANIP").checked = true;          
            </script>
        

        </div></div>
</asp:Content>

