﻿<%@ Page Title="Update Account" Language="C#" MasterPageFile="~/MainMaster.master" AutoEventWireup="true" Inherits="iSpyCentral.Updateaccount" Codebehind="updateaccount.aspx.cs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
<style type="text/css">
label {width:150px !important}

    .notify {
        position:relative;
        width:100%;
        background-color:<%=MessageColor%>;
        height:40px;
        color:white;
        display:none;
        text-align: center;
        font-size: 18px;
        padding-top: 10px;
        cursor: pointer;
    }
</style>
<script type="text/javascript">
    jQuery(function ($) {
        var m = "<%=Message %>";
        if (m != "") {
            $('#notify').html(m).slideDown();
            $('#notify').click(function () {
                $(this).slideUp().empty();
            });
        }
    });

</script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<div class="top-blocks">

        <div class="module light features">
                            <a name="details"></a>
		<h1 class="contentheading about">Update Details</h1>

	

			<div class="contentdescription">
            <p>Update your account details below.</p><br />
		</div><div id="notify" class="notify"></div><br />

		<fieldset class="login_form">

		<div class="name">
			<label>Username</label>
            <asp:TextBox ID="txtUsername" runat="server" CssClass="inputbox" size="20"></asp:TextBox>
		</div>

        <div class="name">
			<label>Email Address</label>
            <asp:TextBox ID="txtEmailAddress" runat="server" CssClass="inputbox" size="20"></asp:TextBox>
		</div>

        <div class="name">
			<label>Password</label>
            <input type="password" id="txtPassword" name="txtPassword" value="<%=Password %>" class="inputbox" size="20"/>
		</div>

        <div class="name">
			<label>Confirm Password</label>
            <input type="password" id="txtPassword2" name="txtPassword2" value="<%=Password %>" class="inputbox" size="20"/>
		</div>
        
        <div class="name">
			<label>Password Reset</label>
            <input type="checkbox" id="chkPasswordReset" name="chkPasswordReset" <%=PasswordResetChecked %> value="on"/> - Enable password reset functionality (disable for extra protection)
		</div>

        <div class="name">
			<label>Mobile Number</label>
            <asp:TextBox ID="txtMobile" runat="server" CssClass="inputbox" size="20"></asp:TextBox><br /><br />
            Include the international country code and drop the leading 0 of your number, eg 61410123456
		</div>

        <div class="name">
			<label>Time Zone</label>
            <asp:TextBox ID="txtTimeZone" runat="server" CssClass="inputbox" size="5"></asp:TextBox> (hours offset of GMT - eg "8" or "-5")
		</div>
        
         

        <div style="width:300px">
       <asp:Button ID="Button1" runat="server" Text="Update" OnClick="Button1_Click" CssClass="button" />
       </div>

        </fieldset>

</div>
</div>

</asp:Content>

