﻿//Copyright © DeveloperInABox 2013 All Rights Reserved. No part of this website may be reproduced without DeveloperInABox's express consent.
//Reverse engineering or duplicating our web interface is strictly forbidden and will be prosecuted to the full extent of the law.

function WatchAll() {
    var that = this;
    this.Active = false;
    var padding = 5;
    var cols = 2;
    var rows = 2;
    var rhswidth = 120;
    var itemwidth = 320;
    var itemheight = 240;
    var xOffset = 0;
    var yOffset = 0;
    var framePending = false;
    var lines = true;
    var domElement = null;
    var inited = false;
    this.playing = false;
    var interval = null;
    var imageArray = [];
    var imageArray2 = [];
    var scrollYBar = [];
    var hitTargets = new Array();
    var context = null;
    var m;
    var mScroll = false;
    var mx = 0, my = 0;
    var scrollBarYPos = 0;
    var scrollYPos = 0;
    var yMax = 0;
    var lineHeight = 100;
    var currentx = 0, currenty = 0;
    var singlecolumncutoff = 300;
    var mobile = false;
    var fill = false;
    var clickX;
    var dragObj = null;
    var itemover = -1;


    this.setmode = function (c, r) {
        if (!isNaN(c)) {
            cols = c;
            rows = r;
        }
        var rhs = rhswidth;
        if (!mobile && context.canvas.width < singlecolumncutoff) {
            rhs = 0;
            cols = 1;
        }
        itemwidth = parseInt((context.canvas.width - rhs - cols * padding) / cols);
        itemheight = parseInt(itemwidth * 3 / 4);
        var h2 = parseInt((context.canvas.height - (rows + 3) * padding) / rows);
        if (itemheight > h2) {
            itemheight = h2;
            itemwidth = parseInt(itemheight * 4 / 3);
        }

        if (fill) {
            itemwidth = parseInt((context.canvas.width - rhs - cols * padding) / cols);
            itemheight = parseInt((context.canvas.height - rows * padding) / rows);
        }

        for (var i = 0; i < imageArray2.length; i++) {
            if (imageArray2[i] != null) {
                imageArray2[i].src = imageArray2[i].obj.thumbURL.replace("thumb=1", "size=" + itemwidth + "x" + itemheight);
                imageArray2[i].loaded = false;
            }
        }

        createCookie("watchallMode", cols.toString() + "x" + rows.toString(), 30);

        if (!framePending) {
            framePending = true;
            window.requestAnimationFrame(render);
        }
    };

    this.addRemoveCamera = function (id, port) {
        var data = window.timeline1.Data;
        for (var i = 0; i < data.length; i++) {
            var o = data[i];
            if (o.id == port) {
                var j, r, k;
                for (j = 0; j < o.rowItems.length; j++) {
                    r = o.rowItems[j];
                    if (r.id == id && r.type==2) {
                        var active = false;

                        for (k = 0; k < imageArray2.length; k++) {
                            if (imageArray2[k] != null && imageArray2[k].obj.id == r.id && imageArray2[k].obj.port == r.port) {
                                active = true;
                                delete imageArray2[k];
                                delete imageArray[k];
                                break;
                            }
                        }
                        if (!active) {
                            //add it
                            if (itemover != -1) {
                                var ind = itemover;
                                imageArray2[ind] = new Image();
                                imageArray2[ind].src = unique(r.thumbURL.replace("thumb=1", "size=" + itemwidth + "x" + itemheight));
                                imageArray2[ind].obj = r;
                                imageArray2[ind].loaded = false;
                                imageArray2[ind].index = ind;
                                addEvent(imageArray2[ind], 'load', function (ev) { watchFrameLoaded(ev); });
                            }
                            saveArray();
                        }
                    }
                }
            }
        }
        saveArray();
        if (!framePending) {
            framePending = true;
            window.requestAnimationFrame(render);
        }
    };

    this.init = function (ismobile) {
        if (inited)
            return;
        var data = window.timeline1.Data;
        var o;
        var r;
        if (ismobile != null) {
            mobile = ismobile;
            if (mobile) {
                var html = "";
                for (i = 0; i < data.length; i++) {
                    o = data[i];
                    html += "<div data-role=\"collapsible\" data-inset=\"false\"><h2>" + o.section + "</h2><ul data-role=\"listview\">";
                    for (j = 0; j < o.rowItems.length; j++) {
                        r = o.rowItems[j];
                        if (r.type==2)
                            html += "<li><a onclick=\"watchall.addRemoveCamera(" + r.id + "," + r.port + ")\" data-rel=\"dialog\">" + r.name + "</a></li>";
                    }
                    html += "</ul></div>";
                }
                GEID("mnuPop").innerHTML = html;

                $('#popupNested').popup();
                $('#mainpage').page('destroy').page();

            }
        }
        if (mobile)
            rhswidth = 0;
        domElement = GEID("cnvWatcher");
        context = GEID("cnvWatcher").getContext("2d");
        context.translate(0.5, 0.5);
        //load in configuration from cookie
        var cfg = readCookie("watchallConfig");
        if (cfg != "") {
            var ids = cfg.split(',');
            for (var c = 0; c < ids.length; c++) {
                var det = ids[c].split('_');
                var p = det[0];
                var id = det[1];
                var ind = det[2];
                for (var i = 0; i < data.length; i++) {
                    o = data[i];
                    if (o != null && o.id == p) {
                        for (var j = 0; j < o.rowItems.length; j++) {
                            r = o.rowItems[j];
                            if (r.type == 2) {
                                if (r.id == id && imageArray2[ind] == null) {
                                    imageArray2[ind] = new Image();
                                    imageArray2[ind].src = unique(r.thumbURL.replace("thumb=1", "size=" + itemwidth + "x" + itemheight));
                                    imageArray2[ind].obj = r;
                                    imageArray2[ind].loaded = false;
                                    imageArray2[ind].index = ind;
                                    addEvent(imageArray2[ind], 'load', function (ev) { watchFrameLoaded(ev); });
                                }
                            }
                        }
                    }
                }
            }
        }

        var throttle = 200;
        var t = readCookie("watchallThrottle");
        if (t != "") {
            throttle = parseInt(t);

        }

        if (GEID("sldThrottle") != null) {
            $("#sldThrottle").slider({
                min: 10,
                max: 2000,
                value: 2010 - throttle,
                change: function (event, ui) {
                    window.clearInterval(interval);
                    interval = window.setInterval("watchall.reload()", 2010 - ui.value);
                    createCookie("watchallThrottle", 2010 - ui.value, 30);
                }
            });
        }

        if (GEID("sldThrottle2") != null) {
            $("#sldThrottle2").val(2010 - throttle);
            $("#sldThrottle2").slider('refresh');
            $("#sldThrottle2").on("change", function (event) {
                window.clearInterval(interval);
                interval = window.setInterval("watchall.reload()", 2010 - event.currentTarget.value);
                createCookie("watchallThrottle", 2010 - event.currentTarget.value, 30);
            });
        }

        if (GEID("slider2") != null) {
            t = readCookie("watchallFillMode");
            if (t != "") {
                fill = t.toString() == "true";
            }
            if (fill)
                $("#slider2").val('on').slider('refresh');
            else {
                $("#slider2").val('off').slider('refresh');
            }
        }

        try {
            $("#listWA").buttonset();
        } catch (e) {
        }

        var mode = readCookie("watchallMode");
        if (mode != "") {
            if (mode.indexOf("x") != -1) {
                mode = mode.split('x');
                this.setmode(parseInt(mode[0]), parseInt(mode[1]));
            } else {
                mode = parseInt(mode);
                this.setmode(mode, mode);
            }
        }
        else
            this.setmode(2, 2);


        render();
        inited = true;

        interval = window.setInterval("watchall.reload()", throttle);

        addEvent(document.body, 'mousemove', function (ev) { mousemove(ev); });
        addEvent(domElement, 'mousedown', function (ev) { mousedown(ev); });
        addEvent(document.body, 'mouseup', function (ev) { mouseup(ev); });

        addEvent(domElement, 'touchmove', function (ev) { mousemove(ev); });
        addEvent(domElement, 'touchstart', function (ev) { mousedown(ev); });
        addEvent(domElement, 'touchend', function (ev) { mouseup(ev); });
        addEvent(domElement, 'touchcancel', function (ev) { mouseup(ev); });
    };
    this.Resize = function () {
        if (context == null)
            return;
        var mode = readCookie("watchallMode");
        
        if (mode.indexOf("x") != -1) {
            mode = mode.split('x');
            this.setmode(parseInt(mode[0]), parseInt(mode[1]));
        } else {
            mode = parseInt(mode);
            this.setmode(mode, mode);
        }
    };

    this.setfill = function (f) {
        fill = f;
        this.setmode();
        if (!framePending) {
            framePending = true;
            window.requestAnimationFrame(render);
        }
    };

    function saveArray() {
        var cfg = "";
        for (var i = 0; i < imageArray2.length; i++) {
            if (imageArray2[i] != null) {
                cfg += imageArray2[i].obj.port + "_" + imageArray2[i].obj.id + "_" + i + ",";
            }
        }
        if (cfg.length > 1)
            cfg = cfg.substring(0, cfg.length - 1);

        createCookie("watchallConfig", cfg, 30);
    }

    this.reload = function () {
        var tot = cols * rows;
        if (this.playing) {
            //check all frames loaded
            for (var i = 0; i < imageArray2.length && i < tot; i++) {
                if (imageArray2[i] == null) {
                    imageArray[i] = null;
                    continue;
                }

                if (imageArray2[i].loaded) {
                    imageArray2[i] = new Image();
                    imageArray2[i].src = unique(imageArray[i].src);
                    imageArray2[i].obj = imageArray[i].obj;
                    imageArray2[i].index = i;
                    imageArray2[i].loaded = false;
                    addEvent(imageArray2[i], 'load', function (ev) { watchFrameLoaded(ev); });
                }
            }
            if (!framePending)
            { framePending = true; window.requestAnimationFrame(render); }
        }
    };

    function unique(url) {
        var i = url.indexOf("&r=");
        if (i != -1) {
            var p1 = url.substring(0, i + 3);
            var p2 = url.substring(i + 3);
            var j = p2.indexOf("&");
            if (j > -1)
                p2 = p2.substring(j);
            else
                p2 = "";
            return p1 + Math.random() + p2;
        }
        if (url.indexOf("?") != -1)
            return url + "&r=" + Math.random();
        return url; //static image
    }

    function watchFrameLoaded(e) {
        e.target.loaded = true;
        imageArray[e.target.index] = e.target;
    }

    function render() {
        context.clearRect(0, 0, context.canvas.width, context.canvas.height);
        context.strokeStyle = "#ccc";
        var x;
        var y;
        var j;
        var yoff = 0 - scrollYPos;
        var ytot = 0;

        hitTargets = [];
        context.font = "11px verdana";
        var rhs = rhswidth;
        if (context.canvas.width < singlecolumncutoff) {
            rhs = 0;
        }
        var i;
        if (lines) {
            context.beginPath();
            for (i = 0; i < cols; i++) {
                context.moveTo(xOffset + (i * (itemwidth + padding) - padding / 2), 0);
                context.lineTo(xOffset + (i * (itemwidth + padding) - padding / 2), rows * (itemheight + padding) - padding);
            }
            for (i = 0; i < rows; i++) {
                context.moveTo(0, yOffset + (i * (itemheight + padding) - padding / 2));
                context.lineTo(cols * (itemwidth + padding) - padding, yOffset + (i * (itemheight + padding) - padding / 2));
            }
        }

        //draw list of cameras
        if (rhs > 0) {
            context.moveTo(domElement.width - rhswidth, 0);
            context.lineTo(domElement.width - rhswidth, domElement.height);

            context.fillStyle = "#E9E9E9";
            context.fillRect(domElement.width - rhswidth, 0, rhswidth, domElement.height);

            var data = window.timeline1.Data;
            var textWidth;
            var k;
            var datalen = data.length;
            for (i = 0; i < datalen; i++) {
                var o = data[i];
                if (o != null) {
                    if (rhs > 0) {
                        context.fillStyle = "#666";
                        context.fillRect(domElement.width - rhswidth, yoff, rhswidth - 1, 20);
                        context.fillStyle = "#fff";
                        context.font = "13px verdana";
                        textWidth = context.measureText(o.section);
                        context.fillText(o.section, domElement.width - (rhswidth / 2) - textWidth.width / 2, yoff + 13);
                        context.stroke();
                        context.font = "11px verdana";
                    }
                    yoff += 25;
                    ytot += 25;
                    for (j = 0; j < o.rowItems.length; j++) {
                        var r = o.rowItems[j];
                        if (r.type == 2) {
                            ytot += lineHeight;
                            if (r.ImageObject != null) {
                                var draw = true;
                                for (k = 0; k < imageArray2.length; k++) {
                                    if (imageArray2[k] != null && imageArray2[k].obj.id == r.id && imageArray2[k].obj.port == r.port) {
                                        draw = false;
                                        ytot -= lineHeight;
                                        break;
                                    }
                                }
                                if (draw) {
                                    x = domElement.width - rhswidth / 2 - r.ImageObject.width / 2;
                                    y = yoff;
                                    if (rhs > 0) {
                                        context.drawImage(r.ImageObject, x, yoff);
                                        context.fillStyle = "#ccc";
                                        context.fillRect(x, yoff + 72, r.ImageObject.width, 20);
                                        context.fillStyle = "#333";
                                        context.fillText(r.name, x + 3, yoff + r.ImageObject.height + 12);

                                        hitTargets.push(new ht(x, y, x + r.ImageObject.width, y + r.ImageObject.height, r));
                                    }
                                    yoff += lineHeight;
                                }
                            }
                        }
                    }
                }
            }
            context.stroke();
            yMax = ytot;
            if (ytot - scrollYPos < domElement.height) {
                scrollYPos = ytot - domElement.height;
                if (scrollYPos < 0)
                    scrollYPos = 0;
                // scrollYPos = (scrollBarYPos / domElement.height) * YMax;
                scrollBarYPos = (scrollYPos / yMax) * domElement.height;
            }
        }
        j = 0;
        k = 0; //draw video feeds
        for (i = 0; i < (cols * rows); i++) {

            x = j * (itemwidth + padding);
            y = k * (itemheight + padding);
            j++;
            if (j == cols) {
                j = 0;
                k++;
            }
            var img = imageArray[i];

            var txt;

            if (img == null) {
                if (mobile) {
                    txt = "+ Cam";
                    context.fillStyle = "#ccc";
                    context.fillRect(x, y, itemwidth, itemheight);
                    context.fillStyle = "#333";
                    textWidth = context.measureText(txt);
                    context.fillText(txt, x + (itemwidth / 2 - textWidth.width / 2), y + itemheight / 2 - 6);
                    context.stroke();
                    hitTargets.push(new ht(x, y, x + itemwidth, y + itemheight, i));
                }
                else continue;
            } else {
                if (img.width == itemwidth) {
                    try {
                        context.drawImage(img, x, y);
                    }
                    catch (e) {
                        //can sometimes have an invalid frame
                    }
                }
                else {
                    txt = "Offline";
                    context.fillStyle = "#ccc";
                    context.fillRect(x, y, itemwidth, itemheight);
                    context.fillStyle = "#333";
                    textWidth = context.measureText(txt);
                    context.fillText(txt, x + (itemwidth / 2 - textWidth.width / 2), y + itemheight / 2 - 6);
                    context.stroke();
                }
                hitTargets.push(new ht(x, y, x + itemwidth, y + itemheight, img.obj));

                if (itemover == i) {
                    txt = eval("name_" + img.obj.port) + " / " + img.obj.name; //var textWidth = context.measureText(txt);
                    context.fillStyle = "rgba(255,255,255,0.7)";
                    context.fillRect(x - 1, y + itemheight - 24, itemwidth + 1, 25);
                    context.fillStyle = "#333";
                    context.fillText(txt, x + 5, y + itemheight - 10);
                    context.stroke();
                }
            }
        }


        //scrollbar
        if (yMax > domElement.height) {
            context.fillStyle = 'rgba(51,51,51,0.5)';
            var sh = ((domElement.height) / yMax) * domElement.height;
            if (sh < 20) sh = 20;
            context.fillRect(domElement.width - 20, scrollBarYPos, 19, sh);
            scrollYBar = [domElement.width - 18, scrollBarYPos, domElement.width - 1, scrollBarYPos + sh];
        }

        //drag
        if (dragObj != null) {
            if (dragObj.ImageObject != null) {
                x = currentx - dragObj.ImageObject.width / 2;
                y = currenty - dragObj.ImageObject.height / 2;
                context.drawImage(dragObj.ImageObject, x, y);
            }
        }

        framePending = false;

    }
    function mousemove(e) {
        if (!that.Active)
            return;

        itemover = -1;
        var mxy = MouseXY(domElement, e);
        var x = mxy.x, y = mxy.y;

        currentx = x;
        currenty = y;

        setCursor(e, 'default');
        var o;
        for (var h in hitTargets) {
            o = hitTargets[h];
            if (x > o.X && y > o.Y && x < o.X2 && y < o.Y2) {
                setCursor(e, 'pointer');
            }
        }
        var animate = dragObj != null;
        if (mScroll) {
            setCursor(e, 'pointer');
            o = y - my;
            if (o != 0) {
                animate = true;
                scrollBarYPos += o;
                if (scrollBarYPos < 0)
                    scrollBarYPos = 0;
                if (scrollBarYPos > domElement.height - (scrollYBar[3] - scrollYBar[1]))
                    scrollBarYPos = domElement.height - (scrollYBar[3] - scrollYBar[1]);

                scrollYPos = (scrollBarYPos / domElement.height) * yMax;

                if (scrollYPos - o > yMax)
                    scrollYPos = yMax;
                if (scrollYPos - o < 0)
                    scrollYPos = 0;
                my = y;
            }
        }

        if (scrollYBar.length > 0) {
            if (x > scrollYBar[0] && y > scrollYBar[1] && x < scrollYBar[2] && y < scrollYBar[3]) {
                setCursor(e, 'pointer');
            }
        }


        var io = getItemOver(x, y);
        if (io != -1) {
            animate = true;
            itemover = io;
        }

        if (animate && !framePending)
        { framePending = true; window.requestAnimationFrame(render); }
    };

    function getItemOver(x, y) {
        var row = -1;
        var col = -1;
        var i;
        for (i = 1; i <= cols; i++) {
            if (i * (itemwidth + padding) - padding / 2 > x) {
                col = i - 1;
                break;
            }
        }
        for (i = 1; i <= rows; i++) {
            if (i * (itemheight + padding) - padding / 2 > y) {
                row = i - 1;
                break;
            }
        }

        if (row != -1 && col != -1) {
            var io = row * cols + col;
            return io;

        }
        return -1;
    }


    function mousedown(e) {
        if (!that.Active)
            return;
        e.preventDefault();
        if (e.button > 0)
            return;
        var mxy = MouseXY(domElement, e);
        var x = mxy.x, y = mxy.y;
        mx = x;
        my = y;
        clickX = x;

        if (scrollYBar.length > 0) {
            if (x > scrollYBar[0] && y > scrollYBar[1] && x < scrollYBar[2] && y < scrollYBar[3]) {
                mScroll = true;
                return;
            }
        }

        if (!mobile) {
            for (var h in hitTargets) {
                var o = hitTargets[h];
                if (x > o.X && y > o.Y && x < o.X2 && y < o.Y2) {
                    dragObj = o.obj;
                }
            }
        }
        m = true;
    };
    function mouseup(e) {
        if (!that.Active)
            return;
        var mxy = MouseXY(domElement, e);
        var x = mxy.x, y = mxy.y;
       
        m = false;
        if ((Math.abs(x - mx < 3) && Math.abs(y - my) < 3) || mobile) {
            for (var h in hitTargets) {
                var o = hitTargets[h];

                if (x > o.X && y > o.Y && x < o.X2 && y < o.Y2) {
                    if (!mobile) {
                        RenderPlayer(o.obj);
                        dragObj = null;
                    } else {
                        var io = getItemOver(x, y);
                        if (io != -1) {
                            itemover = io;
                            $('#popupNested').popup('open', { overlayTheme: "a", positionTo: "window" });
                            that.Active = false;
                        }

                    }
                    return;
                }
            }
        }
        mx = 0;
        my = 0;
        mScroll = false;
        if (dragObj != null) {
            for (var i = 0; i < imageArray2.length; i++) {
                if (imageArray2[i] != null && imageArray2[i].obj == dragObj) {
                    delete imageArray2[i];
                    delete imageArray[i];
                }
            }
            if (itemover != -1) {
                var ind = itemover;
                imageArray2[ind] = new Image();
                imageArray2[ind].src = unique(dragObj.thumbURL.replace("thumb=1", "size=" + itemwidth + "x" + itemheight));
                imageArray2[ind].obj = dragObj;
                imageArray2[ind].loaded = false;
                imageArray2[ind].index = ind;
                addEvent(imageArray2[ind], 'load', function (ev) { watchFrameLoaded(ev); });
            }
            saveArray();
        }
        dragObj = null;

        if (!framePending)
        { framePending = true; window.requestAnimationFrame(render); }
    };

    function ht(x, y, x2, y2, obj) {
        this.X = x;
        this.Y = y;
        this.X2 = x2;
        this.Y2 = y2;
        this.obj = obj;
    }
}